Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_PSDL_Attr_Dcl Class Reference

**************************************************************** More...

`#include <PSDL_Node.h>`

Inheritance diagram for TAO_PSDL_Attr_Dcl:

[legend]
Collaboration diagram for TAO_PSDL_Attr_Dcl:

[legend]
List of all members.

## Public Methods
| TAO_PSDL_Attr_Dcl (int readonly, TAO_PSDL_Node *param_type_spec, TAO_PSDL_Node *simple_declarator)
| ****************************************************************
| TAO_PSDL_Attr_Dcl (TAO_PSDL_Node *param_type_spec, TAO_PSDL_Node *simple_declarator)
virtual | ~TAO_PSDL_Attr_Dcl (void)
int | readonly (void) const
| Get the value.
TAO_PSDL_Node * | param_type_spec (void) const
TAO_PSDL_Node * | simple_declarator (void) const
int | accept (TAO_PSDL_Node_Visitor *visitor)
| = The Node methods.
## Private Attributes
int | readonly_
| The values.
TAO_PSDL_Node * | param_type_spec_
TAO_PSDL_Node * | simple_declarator_

## Detailed Description

****************************************************************

## Constructor & Destructor Documentation

TAO_PSDL_Attr_Dcl::TAO_PSDL_Attr_Dcl | ( | int | readonly,
|  | TAO_PSDL_Node * | param_type_spec,
|  | TAO_PSDL_Node * | simple_declarator
| ) |

| ****************************************************************

TAO_PSDL_Attr_Dcl::TAO_PSDL_Attr_Dcl | ( | TAO_PSDL_Node * | param_type_spec,
|  | TAO_PSDL_Node * | simple_declarator
| ) |

TAO_PSDL_Attr_Dcl::~TAO_PSDL_Attr_Dcl | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int TAO_PSDL_Attr_Dcl::accept | ( | TAO_PSDL_Node_Visitor * | visitor | ) | `[virtual]`

| = The Node methods. Implements TAO_PSDL_Node.

TAO_PSDL_Node * TAO_PSDL_Attr_Dcl::param_type_spec | ( | void |  | ) | const

int TAO_PSDL_Attr_Dcl::readonly | ( | void |  | ) | const

| Get the value.

TAO_PSDL_Node * TAO_PSDL_Attr_Dcl::simple_declarator | ( | void |  | ) | const

## Member Data Documentation

TAO_PSDL_Node* TAO_PSDL_Attr_Dcl::param_type_spec_`[private]`

int TAO_PSDL_Attr_Dcl::readonly_`[private]`

| The values.

TAO_PSDL_Node* TAO_PSDL_Attr_Dcl::simple_declarator_`[private]`

The documentation for this class was generated from the following files:

- PSDL_Node.h
- PSDL_Node.cpp